/*

XCode style (c) Angel Garcia <angelgarcia.mail@gmail.com>

*/

.hljs {
  color: black;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
  
}

.hljs-comment,
.hljs-javadoc {
  color: #006a00;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word; 
}

.hljs-keyword,
.nginx .hljs-title {
  color: #aa0d91;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}

.hljs-operator
.method,
.hljs-list .hljs-title,
.hljs-tag .hljs-title,
.setting .hljs-value,
.hljs-winutils,
.tex .hljs-command,
.http .hljs-title,
.hljs-request,
.hljs-status {
  color: #008;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}

.hljs-envvar,
.tex .hljs-special {
  color: #660;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}

.hljs-string {
  color: #c41a16;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}
.hljs-tag .hljs-value,
.hljs-cdata,
.hljs-filter .hljs-argument,
.hljs-attr_selector,
.apache .hljs-cbracket,
.hljs-date,
.hljs-regexp {
  color: #080;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}

.hljs-sub .hljs-identifier,
.hljs-pi,
.hljs-tag,
.hljs-tag .hljs-keyword,
.hljs-decorator,
.ini .hljs-title,
.hljs-shebang,
.hljs-prompt,
.hljs-hexcolor,
.hljs-rules .hljs-value,
.hljs-symbol,
.hljs-symbol .hljs-string,
.hljs-number,
.css .hljs-function,
.hljs-function .hljs-title,
.coffeescript .hljs-attribute {
  color: #1c00cf;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}

.hljs-class .hljs-title,
.smalltalk .hljs-class,
.hljs-javadoctag,
.hljs-yardoctag,
.hljs-phpdoc,
.hljs-dartdoc,
.hljs-type,
.hljs-typename,
.hljs-tag .hljs-attribute,
.hljs-doctype,
.hljs-class .hljs-id,
.setting,
.hljs-params,
.clojure .hljs-attribute {
  color: #5c2699;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}

.hljs-variable {
 color: #3f6e74;
 overflow: auto;
 white-space: normal;
  word-wrap: break-word;
}
.css .hljs-tag,
.hljs-rules .hljs-property,
.hljs-pseudo,
.hljs-subst {
  color: #000;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}

.css .hljs-class,
.css .hljs-id {
  color: #9b703f;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}

.hljs-value .hljs-important {
  color: #ff7700;
  font-weight: normal;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}

.hljs-rules .hljs-keyword {
  color: #c5af75;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}

.hljs-annotation,
.apache .hljs-sqbracket,
.nginx .hljs-built_in {
  color: #9b859d;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}

.hljs-literal,
.hljs-preprocessor,
.hljs-preprocessor *,
.hljs-pragma {
  color: #643820;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}

.tex .hljs-formula {
  background-color: #FFFFFF;
  font-style: italic;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}

.diff .hljs-header,
.hljs-chunk {
  color: #808080;
  font-weight: normal;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
} 

.diff .hljs-change {
  background-color: #FFFFFF;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}

.hljs-addition {
  background-color: #FFFFFF;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}

.hljs-deletion {
  background-color: #FFFFFF;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}

.hljs-built_in,
.hljs-comment .hljs-yardoctag {
  font-weight: normal;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}
 
.method .hljs-id {
  color: #000;
  overflow: auto;
  white-space: normal;
  word-wrap: break-word;
}
